<?php
/**
 *    This file is part of Mobile Assistant Connector.
 *
 *   Mobile Assistant Connector is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Mobile Assistant Connector is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Mobile Assistant Connector.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    eMagicOne <contact@emagicone.com>
 *  @copyright 2014-2018 eMagicOne
 *  @license   http://www.gnu.org/licenses   GNU General Public License
 */

class Constants
{
    const T_SESSION_KEYS            = 'mobassistantconnector_session_keys';
    const T_FAILED_LOGIN            = 'mobassistantconnector_failed_login';
    const T_PUSH_NOTIFICATIONS      = 'mobassistantconnector_push_notifications';
    const T_DEVICES                 = 'mobassistantconnector_devices';
    const T_USERS                   = 'mobassistantconnector_users';
    const T_ACCOUNTS                = 'mobassistantconnector_accounts';
    const LOG_FILENAME              = 'mobassistantconnector.log';
    const COMBINATION_ID            = 'combination_id';
    const ID_PRODUCT_ATTRIBUTE      = 'id_product_attribute';
    const ID_ATTRIBUTE_GROUP        = 'id_attribute_group';
    const ID_PRODUCT                = 'id_product';
    const COMBINATION_NAME          = 'combination_name';
    const REFERENCE                 = 'reference';
    const SUPPLIER_REFERENCE        = 'supplier_reference';
    const EAN13                     = 'ean13';
    const ISBN                      = 'isbn';
    const UPC                       = 'upc';
    const WHOLESALE_PRICE           = 'wholesale_price';
    const IMPACT_ON_PRICE           = 'impact_on_price';
    const IMPACT_ON_WEIGHT          = 'impact_on_weight';
    const IMPACT_ON_UNIT_PRICE      = 'impact_on_unit_price';
    const ECOTAX                    = 'ecotax';
    const MINIMAL_QUANTITY          = 'minimal_quantity';
    const AVAILABLE_DATE            = 'available_date';
    const LOW_STOCK_THRESHOLD       = 'low_stock_threshold';
    const LOW_STOCK_ALERT           = 'low_stock_alert';
    const IMAGES_ASSIGNED           = 'images_assigned';
    const DEFAULT_ON                = 'default_on';
    const QUANTITY                  = 'quantity';
    const COMBINATIONS_COUNT        = 'combinations_count';
    const COMBINATIONS              = 'combinations';
    const ID_ATTRIBUTE              = 'id_attribute';
    const NAME                      = 'name';
    const PUBLIC_NAME               = 'public_name';
    const ID_IMAGE                  = 'id_image';
    const ATTRIBUTES                = 'attributes';
    const SELECTED_ATTRIBUTES       = 'selected_attributes';
    const SUCCESS                   = 'success';
    const DEFAULT_COMBINATION_ID    = 'default_combination_id';
    const ATTRIBUTES_COUNT          = 'attributes_count';
    const ATTRIBUTE_GROUPS_COUNT    = 'attribute_groups_count';
    const IS_COLOR_GROUP            = 'is_color_group';
    const ATTRIBUTE_GROUPS          = 'attribute_groups';
    const POSITION                  = 'position';
    const GROUP_TYPE                = 'group_type';
    const TEXTURE                   = 'texture';
    const COLOR                     = 'color';
    const DATE_FORMAT               = 'Y-m-d';
    const VERSION_SEVEN             = '1.7';
    const VERSION_SIX               = '1.6';
    const VERSION_FIVE              = '1.5';
    const EXPRESSION_JPG            = '.jpg';
    const TRUE_WORD                 = 'true';
    const FALSE_WORD                = 'false';
    const USED_BY_COMBINATION       = 'used_by_combination';
    const PRICE                     = 'price';
    const WEIGHT                    = 'weight';
    const UNIT_PRICE_IMPACT         = 'unit_price_impact';
    const ID                        = 'id';
}
